/*
 * Extra point No. 4: Postorder traversal (2.5 points in the final grade that can
 * apply to either programming assignment or exam, Due: November 13, 11:59pm)
 *
 * Given the results of pre-order traversal and in-order traversal of a tree,
 * one can uniquely determine the tree. In this challenge, you will write
 * a program that reads in the pre-order and in-order string (each tree node
 * is represented by a letter) and print the results for post-order traversal. 
 *
 * Three files are given: extra4.x, extra4_driver.cpp, extra4_testing.txt
 * You can implement the printPostOrderString() routine in extra4_driver.cpp
 * and compile on linprog with 'g++ -o extra4.x extra4_driver.cpp
 */


// Created by Xin Yuan for COP4530
//
// to compile: 'g++ -o extra4.x extra4_driver.cpp'
// to run: './extra4.x' or './extra4.x < extra4_testing.txt' 
//
#include <iostream>
#include <string>

using namespace std;


void printPostOrderString(string pre, string in);

int main()
{
        string preStr, inStr;

        while (getline(cin, preStr)) {
		getline(cin, inStr);
                cout << "Pre-String:\t"+ preStr + "\n";
                cout << "In-String:\t" + inStr + "\n";
                cout << "Post-String:\t";
		printPostOrderString(preStr, inStr);
                cout << "\n\n";
	}
}



